package com.bonus.zlpt.bigscreen.service.impl;

import com.bonus.zlpt.bigscreen.domain.vo.CoTypeVo;
import com.bonus.zlpt.bigscreen.domain.vo.CompanyInfoVo;
import com.bonus.zlpt.bigscreen.domain.vo.MaIdVo;
import com.bonus.zlpt.bigscreen.domain.vo.TypeVo;
import com.bonus.zlpt.bigscreen.mapper.MaDevInfoMapper;
import com.bonus.zlpt.bigscreen.service.MaDevInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 设备信息表(MaDevInfo)表服务实现类
 *
 * @author makejava
 * @since 2023-11-30 12:57:59
 */
@Service("maDevInfoService")
public class MaDevInfoServiceImpl implements MaDevInfoService {

    @Autowired
    private MaDevInfoMapper maDevInfoMapper;

    /**
     * 获取企业所属设备状态为自有的设备数量
     * @return
     */
    @Override
    public List<CoTypeVo> selectMaDevInfoList() {
        return maDevInfoMapper.selectMaDevInfoList();
    }

    /**
     * 查询设备状态为在租的设备名称及数量
     * @param
     * @return
     */
    @Override
    public List<CompanyInfoVo> selectmaList() {
        return maDevInfoMapper.selectmaList();
    }

    /**
     * 查询平台入驻设备总数
     * @return
     */
    @Override
    public int selectList() {
        return maDevInfoMapper.selectList();
    }

    /**
     * 根据类型查询设备总数
     * @param
     * @return
     */
    @Override
    public List<TypeVo> selectTypeList() {
        return maDevInfoMapper.selectTypeList();
    }

    /**
     * 根据设备类型查询数量
     * @param
     * @return
     */
    @Override
    public List<TypeVo> selectMaTypeList() {
        return maDevInfoMapper.selectMaTypeList();
    }

    /**
     * 查询公司对应的热门设备数量
     * @return
     */
    @Override
    public List<CompanyInfoVo> selecthotList() {
        return maDevInfoMapper.selecthotList();
    }

    /**
     * 根据设备id查询设备详情相关信息
     * @param maId
     * @return
     */
    @Override
    public MaIdVo selectListById(String maId) {
        return maDevInfoMapper.selectListById(maId);
    }
}

